# Get Multiple Warehouse Receiving Orders GET https://api.shipbob.com/2026-01/receiving Returns a list of warehouse receiving orders with optional filtering by status, fulfillment center, purchase order number, and date range. Reference: https://developer.shipbob.com/api/receiving/get-multiple-warehouse-receiving-orders ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: | Get Multiple Warehouse Receiving Orders version: endpoint_receiving.getMultipleWarehouseReceivingOrders paths: /2026-01/receiving: get: operationId: get-multiple-warehouse-receiving-orders summary: | Get Multiple Warehouse Receiving Orders description: > Returns a list of warehouse receiving orders with optional filtering by status, fulfillment center, purchase order number, and date range. tags: - - subpackage_receiving parameters: - name: Page in: query description: | Page of WROs to get required: false schema: type: string format: int32 - name: Limit in: query description: | Number of WROs per page to request required: false schema: type: string format: int32 - name: IDs in: query description: | Comma separated list of WRO IDs to filter by required: false schema: type: string - name: Statuses in: query description: | Comma separated list of WRO statuses to filter by required: false schema: type: string - name: InsertStartDate in: query description: | Earliest date that a WRO was created required: false schema: type: string format: date-time - name: InsertEndDate in: query description: | Latest date that a WRO was created required: false schema: type: string format: date-time - name: FulfillmentCenterIds in: query description: | Comma separated list of WRO fulfillment center IDs to filter by required: false schema: type: string - name: PurchaseOrderNumbers in: query description: | Comma separated list of WRO PO numbers to filter by required: false schema: type: string - name: ExternalSync in: query description: | Flag to return external_sync_timestamp WROs required: false schema: type: boolean - name: CompletedStartDate in: query description: | Earliest date that a WRO was completed required: false schema: type: string format: date-time - name: CompletedEndDate in: query description: | Latest date that a WRO was completed required: false schema: type: string format: date-time - name: Authorization in: header description: Authentication using Personal Access Token (PAT) token or OAuth2 required: true schema: type: string responses: '200': description: Success content: application/json: schema: $ref: >- #/components/schemas/Receiving.V2.WarehouseReceivingOrderViewModelArray '401': description: Authorization missing or invalid content: {} '403': description: The provided credentials are not authorized to access this resource content: {} '404': description: Not Found content: {} components: schemas: Receiving.PackingType: type: string enum: - value: EverythingInOneBox - value: OneSkuPerBox - value: MultipleSkuPerBox Receiving.FulfillmentCenterViewModel: type: object properties: address1: type: - string - 'null' description: Address line one of the fulfillment center address2: type: - string - 'null' description: Address line two of the fulfillment center city: type: - string - 'null' description: City the fulfillment center is located in country: type: - string - 'null' description: Country the fulfillment center is located in email: type: - string - 'null' description: Email contact for the fulfillment center id: type: integer description: Unique identifier of the fulfillment center name: type: - string - 'null' description: Name of the fulfillment center phone_number: type: - string - 'null' description: Phone number contact for the fulfillment center state: type: - string - 'null' description: State the fulfillment center is located in timezone: type: - string - 'null' description: Timezone the fulfillment center is located in zip_code: type: - string - 'null' description: Postal code of the fulfillment center Receiving.V2.InventoryQuantityViewModel: type: object properties: expected_quantity: type: integer description: Quantity of the inventory item submitted in the WRO inventory_id: type: integer description: ID of the inventory item received_quantity: type: integer description: Quantity of the inventory item received by the warehouse sku: type: - string - 'null' description: Sku of the inventory item stowed_quantity: type: integer description: Quantity of the inventory item stowed by the warehouse Receiving.PackageType: type: string enum: - value: Package - value: Pallet - value: FloorLoadedContainer Receiving.ReceivingStatus: type: string enum: - value: Awaiting - value: Processing - value: Completed - value: Cancelled - value: Incomplete - value: Arrived - value: PartiallyArrived - value: PartiallyArrivedAtHub - value: ArrivedAtHub - value: ProcessingAtHub - value: InternalTransfer Receiving.V2.ReceivingOrderStatusHistoryViewModel: type: object properties: id: type: integer description: Unique id of the status status: type: - string - 'null' description: Name of the status timestamp: type: string format: date-time description: Timestamp when the status was recorded Receiving.V2.WarehouseReceivingOrderViewModel: type: object properties: box_labels_uri: type: - string - 'null' description: >- URL to the packing slip to be included in each box shipment for this receiving order box_packaging_type: $ref: '#/components/schemas/Receiving.PackingType' expected_arrival_date: type: string format: date-time description: Expected date that all packages will have arrived external_sync_timestamp: type: - string - 'null' format: date-time description: >- The timestamp in UTC when a 3rd party integrator has set in our system fulfillment_center: $ref: '#/components/schemas/Receiving.FulfillmentCenterViewModel' id: type: integer description: Unique id of the warehouse receiving order insert_date: type: string format: date-time description: Insert date of the receiving order inventory_quantities: type: - array - 'null' items: $ref: '#/components/schemas/Receiving.V2.InventoryQuantityViewModel' description: Inventory items and quantities within the WRO last_updated_date: type: string format: date-time description: Last date the receiving order was updated package_type: $ref: '#/components/schemas/Receiving.PackageType' purchase_order_number: type: - string - 'null' description: Purchase order number for a receiving order status: $ref: '#/components/schemas/Receiving.ReceivingStatus' status_history: type: - array - 'null' items: $ref: >- #/components/schemas/Receiving.V2.ReceivingOrderStatusHistoryViewModel description: The history of status changes for this receiving order Receiving.V2.WarehouseReceivingOrderViewModelArray: type: array items: $ref: '#/components/schemas/Receiving.V2.WarehouseReceivingOrderViewModel' ``` ## SDK Code Examples ```python Receiving_getMultipleWarehouseReceivingOrders_example import requests url = "https://api.shipbob.com/2026-01/receiving" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Receiving_getMultipleWarehouseReceivingOrders_example const url = 'https://api.shipbob.com/2026-01/receiving'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Receiving_getMultipleWarehouseReceivingOrders_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/2026-01/receiving" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Receiving_getMultipleWarehouseReceivingOrders_example require 'uri' require 'net/http' url = URI("https://api.shipbob.com/2026-01/receiving") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Receiving_getMultipleWarehouseReceivingOrders_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.shipbob.com/2026-01/receiving") .header("Authorization", "Bearer ") .asString(); ``` ```php Receiving_getMultipleWarehouseReceivingOrders_example request('GET', 'https://api.shipbob.com/2026-01/receiving', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Receiving_getMultipleWarehouseReceivingOrders_example using RestSharp; var client = new RestClient("https://api.shipbob.com/2026-01/receiving"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Receiving_getMultipleWarehouseReceivingOrders_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2026-01/receiving")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```